<?php

namespace encrypt;

interface RSA
{
    public function publicKey(): string;

    public function privateKey(): string;

    public function encrypt(?array $data): string;

    public function decrypt(string $data): ?array;
}
